Bug 58786 - I/O error + inode number mismatch after server reboot
Summary: I/O error + inode number mismatch after server reboot
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-24 15:00 UTC by Toralf
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-30 21:42:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Toralf 2002-01-24 15:00:29 UTC
Description of Problem:
After I reboot the server for a file system mounted via NFS, I get an "I/O
error" when trying to access certain directories on the file system.

Jan 22 02:01:07 indonesia kernel: nfs_refresh_inode: inode number mismatch
Jan 22 02:01:07 indonesia kernel: expected (0x155/0x80), got (0x160/0x80)

is written to the system log when this happens. The problem typically occurs for
only one or two of the directories on a file system where I can access
everything else without any problems. I've even seen cases where 'ls <mount
point>' fails, but I can read _all_ sub directories of <mount point>'

'umount' of the file system will fail with "Device or resource busy" even when
no processes appear to have any of its files open (i.e. 'fuser -m <mount point>'
doesn't report anything. This means that the problem cannot be resolved by
"service netfs restart" - a full reboot of the client is necessary.

Version-Release number of selected component (if applicable):
0.3.1-13.7.2.1

How Reproducible:
A bit hard to say, really, but I have never restarted a server without getting
this problem on some directory of some client.

Steps to Reproduce:
1. Boot NFS server
2. mount <server>:<filesystem> <mount point> on a client (I usually do this
/etc/fstab + netfs service, of course...)
3. Do some work on the client, but don't touch the server.
4. Reboot server
5. Access files under <mount point>

Actual Results:
"I/O error" on file access.

"Device or resource busy" on umount or netfs restart

Expected Results:
NFS client survives server reboot as long as the filesystem layout is unchanged.
If problems somehow occur after all, they may at least be resolved by "mount -o
remount", "service netfs restart" or similar.

Comment 1 Toralf 2002-08-26 09:25:59 UTC
I get this on Red Hat 7.3 as well. Note that <mount point> access typically
fails, while <mount point>/<sub directory> is typically OK. For example,

% ls /u
ls: /u: Input/output error

% ls /u/ent
bilde/
china/
diverse/  hafjell2000/	Julbord2001/  lyd/  tekst/  video/





Comment 2 Pete Zaitcev 2004-06-30 21:42:04 UTC
Staled out. Sorry.


Note You need to log in before you can comment on or make changes to this bug.